{
	"name": "blueprint_vue",
	"version": "0.1.0",
	"description": "Blueprint code for Vue.",
	"author": "Taworn Ta.",
	"private": true,
	"license": "ISC",
	"type": "module",
	"scripts": {
		"dev": "vite --port=8088",
		"build": "run-p type-check \"build-only {@}\" --",
		"preview": "vite preview",
		"test:unit": "vitest",
		"build-only": "vite build",
		"type-check": "vue-tsc --build --force",
		"lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
		"format": "prettier --write src/"
	},
	"dependencies": {
		"@vueuse/core": "^10.9.0",
		"axios": "^1.7.2",
		"pinia": "^2.1.7",
		"vue": "^3.4.27",
		"vue-i18n": "^9.13.1",
		"vue-router": "^4.3.2"
	},
	"devDependencies": {
		"@rushstack/eslint-patch": "^1.10.3",
		"@tsconfig/node20": "^20.1.4",
		"@types/jsdom": "^21.1.6",
		"@types/node": "^20.12.12",
		"@vitejs/plugin-vue": "^5.0.4",
		"@vue/eslint-config-prettier": "^9.0.0",
		"@vue/eslint-config-typescript": "^13.0.0",
		"@vue/test-utils": "^2.4.6",
		"@vue/tsconfig": "^0.5.1",
		"eslint": "^8.56.0",
		"eslint-plugin-vue": "^9.26.0",
		"jsdom": "^24.0.0",
		"npm-run-all2": "^6.2.0",
		"prettier": "^3.2.5",
		"typescript": "~5.4.5",
		"vite": "^5.2.11",
		"vitest": "^1.6.0",
		"vue-tsc": "^2.0.19"
	},
	"packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}